Changeset 207


Ignore:
Timestamp:
Apr 8, 2011 6:47:18 AM (9 years ago)
Author:
kulshres
Message:

get rid of some build errors on older systems

including the version of gcc used by Apple in Xcode 3.x.x

Signed-off-by: Kshitij Kulshreshtha <kshitij@…>

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/ADOL-C/src/adouble.h

    r197 r207  
    6969                                  const double &arg );
    7070
    71 #if !defined(_ISOC99_SOURCE) && !defined(__USE_ISOC99)
     71#if !defined(_ISOC99_SOURCE) && !defined(__USE_ISOC99) && !defined(__APPLE_CC__)
    7272double ADOLC_DLL_EXPORT fmin( const double &x, const double &y );
    7373double ADOLC_DLL_EXPORT fmax( const double &x, const double &y );
     
    256256class ADOLC_DLL_EXPORT adub:public badouble {
    257257    friend ADOLC_DLL_EXPORT class adouble;
     258#if GCC_VERSION >= 4003
    258259    adub( adub const &) {}
     260#endif
    259261protected:
    260262    adub( locint lo ):badouble(lo) {};
Note: See TracChangeset for help on using the changeset viewer.